commit:     de517c528357a2a4c5e2e6ae21a271eb4159bdf1
Author:     Daniel Campbell <zlg <AT> gentoo <DOT> org>
AuthorDate: Mon Jan  2 12:35:28 2017 +0000
Commit:     Daniel Campbell <zlg <AT> gentoo <DOT> org>
CommitDate: Mon Jan  2 12:35:52 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de517c52

app-text/pelican: version bump

version bump, also update feedgenerator dependency.

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 app-text/pelican/Manifest             |  1 +
 app-text/pelican/pelican-3.7.0.ebuild | 54 +++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/app-text/pelican/Manifest b/app-text/pelican/Manifest
index 50c270d..a45f186 100644
--- a/app-text/pelican/Manifest
+++ b/app-text/pelican/Manifest
@@ -1,2 +1,3 @@
 DIST pelican-3.6.0.tar.gz 773887 SHA256 
ff0db0e355295d1170988dc6d22388f3681f75accd51d02455638ad18a85c837 SHA512 
7c4bcda6155b363d9e0d31d1763f20f9e3a3e9c5cd250ef4ce02305504e910c3ad61b3ae4ab909d1bca51a46102fe59583a6700f5a32a14d0c1cde47507db3d0
 WHIRLPOOL 
6685061f617f56b36cdb29f303765eace8703229caaae7d680b035a6a38ff7341bf72e06c8f980a8b28f156f429995e3e91c752337bd14fd9641813f63957131
 DIST pelican-3.6.3.tar.gz 775060 SHA256 
d19bc7df61afc5b68eba028f0cf0832ee2a12a04a01d7fe11bdfdd847ddd417b SHA512 
8bd8fcb72e67955d9c267731f74905417174d0767ec159d9b141e74aaa3cd8ee095270a7cc30847c413c702944df0c0b974ff8e98c55aa5004c00dbc55eadb16
 WHIRLPOOL 
d4f021bba46dddb73159aa21d034b589978a823fed29ab07ad8aac1adf15b94f8f88a813253fedf9fb118e4e3e925bdc86487ddd6ba3427954ca1e184105b2cf
+DIST pelican-3.7.0.tar.gz 784432 SHA256 
14a2fa2e366776c0ba44419a7364e3c1c4b36870920c458005584538f49a3f69 SHA512 
e4b8a771737a8f6fab109b0f4544229f09141f38210b502f605ae449be7ba12bb43db6637592d2e9060255e923f092c6cfe8dc7bbeec1431d5b625f3a9b8222d
 WHIRLPOOL 
f0706d7748327374f524093f543bbd5c58933825a3a682490d54ab09205b989997e4960880864aa565e696f86810ec9275929b66b85cfff3c4f3a269e8b9673d

diff --git a/app-text/pelican/pelican-3.7.0.ebuild 
b/app-text/pelican/pelican-3.7.0.ebuild
new file mode 100644
index 00000000..0f09f68
--- /dev/null
+++ b/app-text/pelican/pelican-3.7.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit distutils-r1
+
+DESCRIPTION="A tool to generate a static blog, with restructured text or 
markdown input files"
+HOMEPAGE="http://blog.getpelican.com/ https://pypi.python.org/pypi/pelican";
+SRC_URI="https://github.com/getpelican/pelican/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="AGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples markdown test"
+
+DEPEND=">=dev-python/feedgenerator-1.9[${PYTHON_USEDEP}]
+       >=dev-python/jinja-2.7[${PYTHON_USEDEP}]
+       dev-python/docutils[${PYTHON_USEDEP}]
+       dev-python/pygments[${PYTHON_USEDEP}]
+       dev-python/pytz[${PYTHON_USEDEP}]
+       dev-python/unidecode[${PYTHON_USEDEP}]
+       dev-python/blinker[${PYTHON_USEDEP}]
+       >=dev-python/six-1.4[${PYTHON_USEDEP}]
+       dev-python/python-dateutil[${PYTHON_USEDEP}]
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+       markdown? ( dev-python/markdown[${PYTHON_USEDEP}] )
+       test? (
+               dev-python/nose[${PYTHON_USEDEP}]
+               dev-python/markdown[${PYTHON_USEDEP}]
+       )"
+RDEPEND=""
+
+DOCS=( README.rst )
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/_build/html/. )
+       if use examples; then
+               insinto "/usr/share/doc/${PF}"
+               docompress -x "/usr/share/doc/${PF}/samples"
+               doins -r samples
+       fi
+       distutils-r1_python_install_all
+}
+
+python_test() {
+       nosetests || die "Testing failed with ${EPYTHON}"
+}

Reply via email to